<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Admin\MasterController;
use App\Models\Admin;

use App\User;
use App\Models\Rating;
use App\Models\Bill;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
//use Illuminate\Support\Facades\Auth;
use Jenssegers\Agent\Agent;
use Analytics;
use Auth;

class UserController extends MasterController
{
    public function __construct(User $model)
    {
        $this->model = $model;
        $this->route = 'user';
        $this->module_name = 'قائمة السطحات';
        $this->single_module_name = 'سطحة';
        $this->index_fields = ['الاسم بالكامل' => 'name', 'رقم الجوال' => 'phone', 'البريد الالكترونى' => 'email', 'رقم الهوية او الاقامة' => 'id_number'];
        $this->create_fields = ['الاسم بالكامل' => 'name', ' كلمة المرور' => 'password', 'رقم الجوال' => 'phone', 'البريد الالكترونى' => 'email', 'رقم الهوية او الاقامة' => 'id_number'];
        $this->update_fields = ['الاسم بالكامل' => 'name', 'رقم الجوال' => 'phone', 'البريد الالكترونى' => 'email', 'رقم الهوية او الاقامة' => 'id_number'];
//        $this->middleware('permission:users')->only('index');
//        $this->middleware('permission:add_users')->only('create');
//        $this->middleware('permission:add_users')->only('store');
//        $this->middleware('permission:edit_users')->only('edit');
//        $this->middleware('permission:edit_users')->only('update');
//        $this->middleware('permission:delete_users')->only('destroy');
        parent::__construct();
    }

//    public function index()
//    {
//        $rows = $this->model->where('type', 'customer')->latest()->get();
//        $seller_rows = $this->model->where('type', 'seller')->latest()->get();
//        return view('admin.' . $this->route . '.index', compact('rows', 'seller_rows'));
//    }



    public function show($id)
    {
        $row = $this->model->find($id);
        $ratings = Rating::where('user_id', $id)->get();
        $bills = Bill::where('user_id', $id)->get();
        return View('admin.' . $this->route . '.show', compact('row', 'ratings', 'bills'));
    }

    public function update_pay($id, Request $request){
        $row = $this->model->find($id);
        if($request->pay_number > $row->pay ){
            return redirect()->back()->withErrors( 'لم يتم التحديت المدخل اكبر من الدين');
        }
        $pay_in =  $row->pay - $request->pay_number;
        $row->pay = $pay_in;
        $row->update();
        return back()->with('success','تم التحديث');

    }

    public function comment_user($id)
    {
        Rating::find($id)->delete();
        return redirect()->back()->with('deleted', 'تم الحذف بنجاح');
    }
    public function bill_user($id)
    {
        Bill::find($id)->delete();
        return redirect()->back()->with('deleted', 'تم الحذف بنجاح');
    }

    public function validation_func($method, $id = null)
    {
        if ($method == 1) // POST Case
            return ['name' => 'required', 'phone' => 'required | unique:users', 'email' => 'email | max:255 | unique:users', 'password' => 'required | min:6', 'id_number' => 'required | unique:users'];
        return ['name' => 'required', 'phone' => 'required | unique:users,phone,' . $id, 'email' => 'email | max:255 | unique:users,email,' . $id, 'id_number' => 'required | unique:users,id_number,' . $id];
    }


}
