<?php

namespace App\Http\Controllers\Api;

use App\Models\Answer;
use App\Models\Ask;
use App\User;
use Validator;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Carbon\Carbon;
use App\Models\Menu;


class AskController extends Controller
{

    public function menu_ask($lang, Request $request)
    {
        if ($request->ask) {


            $ask_asks = Menu::where('type', $request->ask)->latest()->get();

            $data = [];
            foreach ($ask_asks as $ask_ask) {


                $arr['id'] = $ask_ask->id;
                if ($lang == 'ar') {
                    $arr['name'] = $ask_ask->name['ar'];
                } else {
                    $arr['name'] = $ask_ask->name['en'];
                }
                if ($ask_ask->image) {
                    $arr['image'] = asset('images/item/' . $ask_ask->image);
                } else {
                    $arr['image'] = '';
                }

                $data[] = $arr;
            }

            return response()->json(['value' => true, 'data' => $data
            ]);
        }
        return response()->json(['value' => false]);
    }


    public function item_ask($menu_id, $lang)
    {
        $items = Ask::where('menu_id', $menu_id)->latest()->get();
        $data = [];
        foreach ($items as $item) {
            $arr['id'] = $item->id;
            $arr['user_name'] = $item->Users->name;
            if ($item->Users->image) {
                $arr['user_image'] = $item->Users->image;
            } else {
                $arr['user_image'] = "";
            }
            $arr['question'] = $item->question;
            Carbon::setLocale($lang);
            $arr['since'] = Carbon::parse($item->created_at)->diffForHumans();
            $ch_arr = [];
            foreach ($item->Answers as $answer) {
                $ch_arr['id'] = $answer->id;
                $ch_arr['answer'] = $answer->answer;
                $ch_arr['user_name'] = $answer->Users->name;
                $ch_arr['user_image'] = "";
                Carbon::setLocale($lang);
                $ch_arr['since'] = Carbon::parse($answer->created_at)->diffForHumans();
                $arr['answers'][] = $ch_arr;
            }
            $data[] = $arr;
        }
        return response()->json(['value' => true, 'data' => $data
        ]);
    }

    public function reply_ask($lang, Request $request)
    {

        if ($request->answer && $request->user_id && $request->ask_id) {
            $reply = new Answer();
            $reply->answer = $request->answer;
            $reply->user_id = $request->user_id;
            $reply->ask_id = $request->ask_id;
            $reply->save();

            $arr['id'] = $reply->id;
            $arr['answer'] = $reply->answer;
            $arr['user_name'] = $reply->Users->name;
            $arr['user_image'] = "";
            Carbon::setLocale($lang);
            $arr['since'] = Carbon::parse($reply->created_at)->diffForHumans();

            return response()->json(['value' => true, 'data' => $arr]);
        }

        return response()->json(['value' => false]);

    }

    public function insert_ask($lang, Request $request)
    {

        if ($request->user_id && $request->question && $request->menu_id) {

            $question = new Ask();
            $question->user_id = $request->user_id;
            $question->question = $request->question;
            $question->menu_id = $request->menu_id;
            $question->save();

            $arr['id'] = $question->id;
            $arr['question'] = $question->question;
            $arr['user_name'] = $question->Users->name;
            $arr['user_image'] = "";
            Carbon::setLocale($lang);
            $arr['since'] = Carbon::parse($question->created_at)->diffForHumans();

            return response()->json(['value' => true, 'data' => $arr]);
        }
        return response()->json(['value' => false]);

    }


}
