@extends('admin.layouts.app')
@section('title',$module_name)
@section('content')
    <div class="content">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">

                    <div class="card-box">
                        <h4 class="m-t-0 header-title"><b><i class="icon-pencil before_word"></i>&nbsp;
                                إضافة {{ $single_module_name }}
                            </b>
                            <hr>
                        </h4>
                        {!! Form::open(['method'=>'post', 'files'=>true, 'enctype' => 'multipart/form-data', 'route'=>[$route.'.store'], 'class' => 'form-row-seperated add_ads_form']) !!}
                        <div class="row">
                            <div class="col-md-12">

                                <input type="hidden" name="admin_id" value="{{Auth()->user()->id}}">
                                <div>
                                    <label for="title">الاسم</label>
                                    {!! Form::text( 'title', null, ['class'=>'form-control']) !!}
                                    @if ($errors->has('title'))
                                        <small class="text-danger">{{ $errors->first('title') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div>
                                    <label for="title">الوصف</label>
                                    {!! Form::textarea( 'note', null, ['class'=>'form-control']) !!}
                                    @if ($errors->has('note'))
                                        <small class="text-danger">{{ $errors->first('note') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div class="card-box">
                                    <h4 class="m-t-0 m-b-20 header-title"><b>موقعك</b></h4>
                                    <div id="map" class="gmaps"></div>
                                    <input name="lat" type="hidden" id="lat" readonly="yes"><br>
                                    <input name="lng" type="hidden" id="lng" readonly="yes">
                                </div>
                                <br>
                                <div class="form-group">
                                    <label class="control-label">المدينة</label>
                                    {{ Form::select('city_id', $cities_array, null, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true, 'required')) }}
                                    @if ($errors->has('city_id'))
                                        <small class="text-danger">{{ $errors->first('city_id') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label class="control-label">تابع الى</label>
                                    {{ Form::select('sub_category_id', $subcategories_array, null, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true, 'required')) }}
                                    @if ($errors->has('sub_category_id'))
                                        <small class="text-danger">{{ $errors->first('sub_category_id') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label class="control-label">الصور</label>
                                    <input type="file" name="image[]" multiple  class="form-control required">
                                    @if ($errors->has('image'))
                                        <small class="text-danger">{{ $errors->first('image') }}</small>
                                    @endif
                                </div>
                                <br>
                                <div class="form-group">
                                    <label class="control-label">الحالة</label>
                                    {{ Form::select('status', $status, null, array('class' => 'form-control select2 select2-hidden-accessible','tabindex'=>-1,'aria-hidden'=>true, 'required')) }}
                                    @if ($errors->has('status'))
                                        <small class="text-danger">{{ $errors->first('status') }}</small>
                                    @endif
                                </div>


                            </div>
                        </div>
                        <div class="form-group">
                            <div class="control-label col-md-push-1">
                                <button type="submit"
                                        class="update_button btn btn-success btn-rounded waves-effect waves-light">
                                    إضافة
                                </button>
                            </div>
                        </div>

                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        $(document).ready(function () {
            // Basic
            $('.dropify').dropify();
            // Translated
            $('.dropify-fr').dropify({
                messages: {
                    default: 'Glissez-déposez un fichier ici ou cliquez',
                    replace: 'Glissez-déposez un fichier ou cliquez pour remplacer',
                    remove: 'Supprimer',
                    error: 'Désolé, le fichier trop volumineux'
                }
            });
            // Used events
            var drEvent = $('#input-file-events').dropify();
            drEvent.on('dropify.beforeClear', function (event, element) {
                return confirm("Do you really want to delete \"" + element.file.name + "\" ?");
            });
            drEvent.on('dropify.afterClear', function (event, element) {
                alert('File deleted');
            });
            drEvent.on('dropify.errors', function (event, element) {
                console.log('Has Errors');
            });
            var drDestroy = $('#input-file-to-destroy').dropify();
            drDestroy = drDestroy.data('dropify')
            $('#toggleDropify').on('click', function (e) {
                e.preventDefault();
                if (drDestroy.isDropified()) {
                    drDestroy.destroy();
                } else {
                    drDestroy.init();
                }
            })
        });
    </script>
    <script>
        //Set up some of our variables.
        var map; //Will contain map object.
        var marker = false; ////Has the user plotted their location marker?
        //Function called to initialize / create the map.
        //This is called when the page has loaded.
        function initMap() {
            //The center location of our map.
            var centerOfMap = new google.maps.LatLng(24.665658,46.7440368);
            //Map options.
            var options = {
                center: centerOfMap, //Set center.
                zoom: 14 //The zoom value.
            };
            //Create the map object.
            map = new google.maps.Map(document.getElementById('map'), options);
            //Listen for any clicks on the map.
            google.maps.event.addListener(map, 'click', function(event) {
                //Get the location that the user clicked.
                var clickedLocation = event.latLng;
                //If the marker hasn't been added.
                if(marker === false){
                    //Create the marker.
                    marker = new google.maps.Marker({
                        position: clickedLocation,
                        map: map,
                        draggable: true //make it draggable
                    });
                    //Listen for drag events!
                    google.maps.event.addListener(marker, 'dragend', function(event){
                        markerLocation();
                    });
                } else{
                    //Marker has already been added, so just change its location.
                    marker.setPosition(clickedLocation);
                }
                //Get the marker's location.
                markerLocation();
            });
        }
        //This function will get the marker's current location and then add the lat/long
        //values to our textfields so that we can save the location.
        function markerLocation(){
            //Get location.
            var currentLocation = marker.getPosition();
            //Add lat and lng values to a field that we can save.
            document.getElementById('lat').value = currentLocation.lat(); //latitude
            document.getElementById('lng').value = currentLocation.lng(); //longitude
        }
        google.maps.event.addDomListener(window, 'load', initMap);
    </script>
    <script async defer
            src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBKhmEeCCFWkzxpDjA7QKjDu4zdLLoqYVw&callback=initMap">
    </script>
@stop